function o = optimset(opt)
    
    o = optimset( ...
        'display','none', ...
        'maxiter',1000, ...
        'maxfunevals',1000, ...
        'tolx',1e-10, ...
        'tolfun',1e-10, ...
        opt.optimset{:} ...
        );
    
end